%define upstream_name    HTML-FromText
%define upstream_version 2.07

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:	Perl module to Convert plain text to HTML
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	ftp://www.cpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Email::Find)
BuildRequires:	perl(Exporter::Lite)
BuildRequires:	perl(HTML::Parser)
BuildArch:	noarch


%description
HTML::FromText converts text to HTML.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
#make test

%install
%make_install

%files
%doc Changes README
%{perl_vendorlib}/HTML/FromText.pm
%{_bindir}/text2html
%{_mandir}/man*/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 2.70.0-8.mga8
+ Revision: 1494875
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 2.70.0-7.mga7
+ Revision: 1268489
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 2.70.0-6.mga6
+ Revision: 1028228
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 2.70.0-5.mga6
+ Revision: 932560
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.70.0-4.mga5
+ Revision: 746044
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.70.0-3.mga5
+ Revision: 684941
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.70.0-2.mga4
+ Revision: 530041
- Mageia 4 Mass Rebuild

* Mon Jul 15 2013 sander85 <sander85> 2.70.0-1.mga4
+ Revision: 454732
- update to 2.07

* Sun Jan 13 2013 umeabot <umeabot> 2.50.0-2.mga3
+ Revision: 368026
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 2.50.0-1.mga1
+ Revision: 37051
- mageia rebuild
- imported package perl-HTML-FromText


* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 2.50.0-1mdv2010.0
+ Revision: 407754
- rebuild using %%perl_convert_version

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 2.05-5mdv2009.0
+ Revision: 241469
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Apr 25 2007 Olivier Thauvin <nanardon@mandriva.org> 2.05-3mdv2008.0
+ Revision: 18067
- rebuild && mkrel


* Fri Sep 23 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.05-2mdk
- Rebuild; fix URL and summary

* Fri Nov 28 2003 Stefan van der Eijk <stefan@eijk.nu> 2.05-1mdk
- initial mdk package

